<?php 
/**
 * Template part for displaying Services Section
 *
 *@package Safar Lite
 */

    $ss_content_type            = safar_lite_get_option( 'ss_content_type' );
    $number_of_ss_column        = safar_lite_get_option( 'number_of_ss_column' );
    $number_of_ss_items         = safar_lite_get_option( 'number_of_ss_items' );
    $featured_posts_category    = safar_lite_get_option( 'featured_posts_category' );

    if( $ss_content_type == 'ss_page' ) :
        for( $i=1; $i<=$number_of_ss_items; $i++ ) :
            $featured_posts_posts[] = safar_lite_get_option( 'featured_posts_page_'.$i );
        endfor;  
    elseif( $ss_content_type == 'ss_post' ) :
        for( $i=1; $i<=$number_of_ss_items; $i++ ) :
            $featured_posts_posts[] = safar_lite_get_option( 'featured_posts_post_'.$i );
        endfor;
    endif;
    ?>

    <?php if( $ss_content_type == 'ss_page' ) : ?>
        <div class="section-content col-3">
            <?php $args = array (
                'post_type'     => 'page',
                'post_per_page' => count( $featured_posts_posts ),
                'post__in'      => $featured_posts_posts,
                'orderby'       =>'post__in',
            );   

            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
            $i=-1;  
                while ($loop->have_posts()) : $loop->the_post(); $i++;?>
                
                <article>
                    <div class="course-item-wrapper" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">                    
                        <div class="entry-container">
                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php the_permalink();?>" class="post-title"><?php the_title();?></a></h2>
                            </header>

                            <span class="posted-on">
                                <?php safar_lite_posted_on(); ?>
                            </span><!-- .posted-on -->
                        </div><!-- .entry-container -->
                    </div><!-- .course-item-wrapper -->
                </article>

              <?php endwhile;?>
              <?php wp_reset_postdata(); ?>
            <?php endif;?>
        </div>

    <?php elseif( $ss_content_type == 'ss_post' ) : ?>
        <div class="section-content col-3">
            <?php $args = array (
                'post_type'     => 'post',
                'post_per_page' => count( $featured_posts_posts ),
                'post__in'      => $featured_posts_posts,
                'orderby'       =>'post__in',
                'ignore_sticky_posts' => true,
            );   

            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
            $i=-1;  
                while ($loop->have_posts()) : $loop->the_post(); $i++;?>
                
                <article>
                    <div class="course-item-wrapper" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">                    
                        <div class="entry-container">
                            <div class="entry-meta">
                                <?php safar_lite_entry_meta(); ?>
                            </div><!-- .entry-meta -->

                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php the_permalink();?>" class="post-title"><?php the_title();?></a></h2>
                            </header>

                            <span class="posted-on">
                                <?php safar_lite_posted_on(); ?>
                            </span><!-- .posted-on -->
                        </div><!-- .entry-container -->
                    </div><!-- .course-item-wrapper -->
                </article>

              <?php endwhile;?>
              <?php wp_reset_postdata(); ?>
            <?php endif;?>
        </div> 
    
    <?php else : ?>
        <div class="section-content col-3">
            <?php $args = array (
                'posts_per_page' =>absint( $number_of_ss_items ),
                   'post_type' => 'post',
                   'post_status' => 'publish',
                   'paged' => 1,
                   );
                   if ( absint( $featured_posts_category ) > 0 ) {
                       $args['cat'] = absint( $featured_posts_category );
                   }  
            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
            $i=-1;  
                while ($loop->have_posts()) : $loop->the_post(); $i++;?>
                
                <article>
                    <div class="course-item-wrapper" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">                    
                        <div class="entry-container">
                            <div class="entry-meta">
                                <?php safar_lite_entry_meta(); ?>
                            </div><!-- .entry-meta -->

                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php the_permalink();?>" class="post-title"><?php the_title();?></a></h2>
                            </header>

                            <span class="posted-on">
                                <?php safar_lite_posted_on(); ?>
                            </span><!-- .posted-on -->
                        </div><!-- .entry-container -->
                    </div><!-- .course-item-wrapper -->
                </article>

              <?php endwhile;?>
              <?php wp_reset_postdata(); ?>
            <?php endif;?>
        </div>    
    <?php endif;
