<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Safar Lite
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'grid-item' ); ?>>
	<div class="post-item">
		<div class="entry-container">
			<div class="blog-header">
				<header class="entry-header">
					<div class="entry-meta">
						<?php safar_lite_entry_meta(); ?>
					</div><!-- .entry-meta -->

					<?php
					if ( is_single() ) :
						the_title( '<h1 class="entry-title">', '</h1>' );
					else :
						the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
					endif; ?>
				</header><!-- .entry-header -->

				<div class="entry-meta last">
					<?php safar_lite_author_only();
					safar_lite_posted_on(); ?>
				</div><!-- .entry-meta -->
			</div><!-- .blog-header -->

			<?php if ( has_post_thumbnail() ) { ?>
				<figure>
				    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
				</figure>
			<?php } ?>

			<div class="entry-content">
				<?php the_excerpt(); ?>
			</div><!-- .entry-content -->

			<?php $readmore_text = safar_lite_get_option( 'readmore_text' );?>
			<div class="read-more">
				<a class="readmore-blog" href="<?php the_permalink();?>"><?php echo esc_html($readmore_text);?></a>
			</div><!-- .read-more -->
		</div><!-- .entry-container -->
	</div><!-- .post-item -->
</article><!-- #post-## -->
